Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore
Interface Constants

All Known Subinterfaces:
  StdJDBCConstants

All Known Implementing Classes:
  JobStoreSupport, StdJDBCDelegate, StdRowLockSemaphore

public interface Constants

This interface can be implemented by any ``DriverDelegate`` class that needs to use the constants contained herein.

Author:
  Jeffrey Wescott, James House

Field Summary
`static String` | `ALIAS_COL_NEXT_FIRE_TIME`
`static String` | `ALL_GROUPS_PAUSED`
`static String` | `COL_BLOB`
`static String` | `COL_CALENDAR`
`static String` | `COL_CALENDAR_NAME`
`static String` | `COL_CHECKIN_INTERVAL`
`static String` | `COL_CRON_EXPRESSION`
`static String` | `COL_DESCRIPTION`
`static String` | `COL_END_TIME`
`static String` | `COL_ENTRY_ID`
`static String` | `COL_ENTRY_STATE`
`static String` | `COL_FIRED_TIME`
`static String` | `COL_INSTANCE_NAME`
`static String` | `COL_IS_DURABLE`
`static String` | `COL_IS_STATEFUL`
`static String` | `COL_IS_VOLATILE`
`static String` | `COL_JOB_CLASS`
`static String` | `COL_JOB_DATAMAP`
`static String` | `COL_JOB_GROUP`
`static String` | `COL_JOB_LISTENER`
`static String` | `COL_JOB_NAME`
`static String` | `COL_LAST_CHECKIN_TIME`
`static String` | `COL_LOCK_NAME`
`static String` | `COL_MISFIRE_INSTRUCTION`
`static String` | `COL_NEXT_FIRE_TIME`
`static String` | `COL_PREV_FIRE_TIME`
`static String` | `COL_RECOVERER`
`static String` | `COL_REPEAT_COUNT`
`static String` | `COL_REPEAT_INTERVAL`
`static String` | `COL_REQUESTS_RECOVERY`
`static String` | `COL_START_TIME`
`static String` | `COL_TIME_ZONE_ID`
`static String` | `COL_TIMES_TRIGGERED`
`static String` | `COL_TRIGGER_GROUP`
`static String` | `COL_TRIGGER_LISTENER`
`static String` | `COL_TRIGGER_NAME`
`static String` | `COL_TRIGGER_STATE`
`static String` | `COL_TRIGGER_TYPE`
`static String` | `DEFAULT_TABLE_PREFIX`
`static String` | `STATE_ACQUIRED`
`static String` | `STATE_BLOCKED`
`static String` | `STATE_COMPLETE`
`static String` | `STATE_DELETED`
`static String` | `STATE_ERROR`
`static String` | `STATE_EXECUTING`
`static String` | `STATE_MISFIRED`
`static String` | `STATE_PAUSED`
`static String` | `STATE_PAUSED_BLOCKED`
`static String` | `STATE_WAITING`
`static String` | `TABLE_BLOB_TRIGGERS`
`static String` | `TABLE_CALENDARS`
`static String` | `TABLE_CRON_TRIGGERS`
`static String` | `TABLE_FIRED_TRIGGERS`
`static String` | `TABLE_JOB_DETAILS`
`static String` | `TABLE_JOB_LISTENERS`
`static String` | `TABLE_LOCKS`
`static String` | `TABLE_PAUSED_TRIGGERS`
`static String` | `TABLE_SCHEDULER_STATE`
`static String` | `TABLE_SIMPLE_TRIGGERS`
`static String` | `TABLE_TRIGGER_LISTENERS`
`static String` | `TABLE_TRIGGERS`
`static String` | `TTYPE_BLOB`
`static String` | `TTYPE_CRON`
`static String` | `TTYPE_SIMPLE`

Field Detail

### TABLE_JOB_DETAILS

    public static final String TABLE_JOB_DETAILS

See Also:
  Constant Field Values

### TABLE_TRIGGERS

    public static final String TABLE_TRIGGERS

See Also:
  Constant Field Values

### TABLE_SIMPLE_TRIGGERS

    public static final String TABLE_SIMPLE_TRIGGERS

See Also:
  Constant Field Values

### TABLE_CRON_TRIGGERS

    public static final String TABLE_CRON_TRIGGERS

See Also:
  Constant Field Values

### TABLE_BLOB_TRIGGERS

    public static final String TABLE_BLOB_TRIGGERS

See Also:
  Constant Field Values

### TABLE_FIRED_TRIGGERS

    public static final String TABLE_FIRED_TRIGGERS

See Also:
  Constant Field Values

### TABLE_JOB_LISTENERS

    public static final String TABLE_JOB_LISTENERS

See Also:
  Constant Field Values

### TABLE_TRIGGER_LISTENERS

    public static final String TABLE_TRIGGER_LISTENERS

See Also:
  Constant Field Values

### TABLE_CALENDARS

    public static final String TABLE_CALENDARS

See Also:
  Constant Field Values

### TABLE_PAUSED_TRIGGERS

    public static final String TABLE_PAUSED_TRIGGERS

See Also:
  Constant Field Values

### TABLE_LOCKS

    public static final String TABLE_LOCKS

See Also:
  Constant Field Values

### TABLE_SCHEDULER_STATE

    public static final String TABLE_SCHEDULER_STATE

See Also:
  Constant Field Values

### COL_JOB_NAME

    public static final String COL_JOB_NAME

See Also:
  Constant Field Values

### COL_JOB_GROUP

    public static final String COL_JOB_GROUP

See Also:
  Constant Field Values

### COL_IS_DURABLE

    public static final String COL_IS_DURABLE

See Also:
  Constant Field Values

### COL_IS_VOLATILE

    public static final String COL_IS_VOLATILE

See Also:
  Constant Field Values

### COL_IS_STATEFUL

    public static final String COL_IS_STATEFUL

See Also:
  Constant Field Values

### COL_REQUESTS_RECOVERY

    public static final String COL_REQUESTS_RECOVERY

See Also:
  Constant Field Values

### COL_JOB_DATAMAP

    public static final String COL_JOB_DATAMAP

See Also:
  Constant Field Values

### COL_JOB_CLASS

    public static final String COL_JOB_CLASS

See Also:
  Constant Field Values

### COL_DESCRIPTION

    public static final String COL_DESCRIPTION

See Also:
  Constant Field Values

### COL_JOB_LISTENER

    public static final String COL_JOB_LISTENER

See Also:
  Constant Field Values

### COL_TRIGGER_NAME

    public static final String COL_TRIGGER_NAME

See Also:
  Constant Field Values

### COL_TRIGGER_GROUP

    public static final String COL_TRIGGER_GROUP

See Also:
  Constant Field Values

### COL_NEXT_FIRE_TIME

    public static final String COL_NEXT_FIRE_TIME

See Also:
  Constant Field Values

### COL_PREV_FIRE_TIME

    public static final String COL_PREV_FIRE_TIME

See Also:
  Constant Field Values

### COL_TRIGGER_STATE

    public static final String COL_TRIGGER_STATE

See Also:
  Constant Field Values

### COL_TRIGGER_TYPE

    public static final String COL_TRIGGER_TYPE

See Also:
  Constant Field Values

### COL_START_TIME

    public static final String COL_START_TIME

See Also:
  Constant Field Values

### COL_END_TIME

    public static final String COL_END_TIME

See Also:
  Constant Field Values

### COL_MISFIRE_INSTRUCTION

    public static final String COL_MISFIRE_INSTRUCTION

See Also:
  Constant Field Values

### ALIAS_COL_NEXT_FIRE_TIME

    public static final String ALIAS_COL_NEXT_FIRE_TIME

See Also:
  Constant Field Values

### COL_REPEAT_COUNT

    public static final String COL_REPEAT_COUNT

See Also:
  Constant Field Values

### COL_REPEAT_INTERVAL

    public static final String COL_REPEAT_INTERVAL

See Also:
  Constant Field Values

### COL_TIMES_TRIGGERED

    public static final String COL_TIMES_TRIGGERED

See Also:
  Constant Field Values

### COL_CRON_EXPRESSION

    public static final String COL_CRON_EXPRESSION

See Also:
  Constant Field Values

### COL_BLOB

    public static final String COL_BLOB

See Also:
  Constant Field Values

### COL_TIME_ZONE_ID

    public static final String COL_TIME_ZONE_ID

See Also:
  Constant Field Values

### COL_TRIGGER_LISTENER

    public static final String COL_TRIGGER_LISTENER

See Also:
  Constant Field Values

### COL_INSTANCE_NAME

    public static final String COL_INSTANCE_NAME

See Also:
  Constant Field Values

### COL_FIRED_TIME

    public static final String COL_FIRED_TIME

See Also:
  Constant Field Values

### COL_ENTRY_ID

    public static final String COL_ENTRY_ID

See Also:
  Constant Field Values

### COL_ENTRY_STATE

    public static final String COL_ENTRY_STATE

See Also:
  Constant Field Values

### COL_CALENDAR_NAME

    public static final String COL_CALENDAR_NAME

See Also:
  Constant Field Values

### COL_CALENDAR

    public static final String COL_CALENDAR

See Also:
  Constant Field Values

### COL_LOCK_NAME

    public static final String COL_LOCK_NAME

See Also:
  Constant Field Values

### COL_LAST_CHECKIN_TIME

    public static final String COL_LAST_CHECKIN_TIME

See Also:
  Constant Field Values

### COL_CHECKIN_INTERVAL

    public static final String COL_CHECKIN_INTERVAL

See Also:
  Constant Field Values

### COL_RECOVERER

    public static final String COL_RECOVERER

See Also:
  Constant Field Values

### DEFAULT_TABLE_PREFIX

    public static final String DEFAULT_TABLE_PREFIX

See Also:
  Constant Field Values

### STATE_WAITING

    public static final String STATE_WAITING

See Also:
  Constant Field Values

### STATE_ACQUIRED

    public static final String STATE_ACQUIRED

See Also:
  Constant Field Values

### STATE_EXECUTING

    public static final String STATE_EXECUTING

See Also:
  Constant Field Values

### STATE_COMPLETE

    public static final String STATE_COMPLETE

See Also:
  Constant Field Values

### STATE_BLOCKED

    public static final String STATE_BLOCKED

See Also:
  Constant Field Values

### STATE_ERROR

    public static final String STATE_ERROR

See Also:
  Constant Field Values

### STATE_PAUSED

    public static final String STATE_PAUSED

See Also:
  Constant Field Values

### STATE_PAUSED_BLOCKED

    public static final String STATE_PAUSED_BLOCKED

See Also:
  Constant Field Values

### STATE_DELETED

    public static final String STATE_DELETED

See Also:
  Constant Field Values

### STATE_MISFIRED

    public static final String STATE_MISFIRED

See Also:
  Constant Field Values

### ALL_GROUPS_PAUSED

    public static final String ALL_GROUPS_PAUSED

See Also:
  Constant Field Values

### TTYPE_SIMPLE

    public static final String TTYPE_SIMPLE

See Also:
  Constant Field Values

### TTYPE_CRON

    public static final String TTYPE_CRON

See Also:
  Constant Field Values

### TTYPE_BLOB

    public static final String TTYPE_BLOB

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD